# ArcGeek Calculator Plugin
## Version 1.5beta 
ArcGeek Calculator is a QGIS plugin that provides various hydrological, geomorphological, and spatial analysis tools. This version introduces new tools for watershed analysis and geometric calculations.

## Description
ArcGeek Calculator is a QGIS plugin that provides a comprehensive set of tools for coordinate calculations, conversions, spatial operations, and watershed analysis. It's designed for GIS analysts, cartographers, surveyors, hydrologists, and anyone working with spatial data.

## Key Features
1. **Calculate Point Coordinates**: Add XY coordinates to point layers, convert to decimal degrees, and provide two formats of degrees minutes seconds.
2. **Calculate Line Geometry**: Calculate length and azimuth for line features.
3. **Calculate Polygon Geometry**: Calculate area and perimeter for polygon features.
4. **Go to XY**: Quickly navigate to specific coordinates on the map and optionally create point markers.
5. **Extract Ordered Points from Polygons**: Extract and order points from the vertices of input polygons with bi-directional numbering.
6. **Lines to Ordered Points**: Convert line features to ordered point features.
7. **Stream Network with Order**: Generate a stream network with Strahler order.
8. **Watershed Basin Delineation**: Delineate watershed basins from a DEM and pour points.
9. **Watershed Morphometric Analysis**: Perform a comprehensive morphometric analysis of a watershed, calculating various parameters and providing their interpretations.

## Installation Requirements
- QGIS 3.14 or higher
- Python 3.x

## Installation
1. Open QGIS
2. Go to Plugins > Manage and Install Plugins
3. Search for "ArcGeek Calculator"
4. Click "Install Plugin"

## Usage Instructions
[... Add usage instructions for new features ...]

## Support
If you encounter any issues or have any suggestions, please open an issue on our [issue tracker](https://github.com/franzpc/qgis/issues).

## Support the Project
If you find ArcGeek Calculator useful, please consider supporting its development. Your contributions help maintain and improve the plugin.

You can make a donation via PayPal: [https://paypal.me/ArcGeek](https://paypal.me/ArcGeek)

Every contribution, no matter how small, is greatly appreciated and helps ensure the continued development of this tool.

## License
This project is licensed under the GNU General Public License v2.0 or later. See the [LICENSE](LICENSE) file for details.

## Author
ArcGeek

## Version History
- 1.5beta: Added new tools for watershed analysis and geometric calculations
- 1.4beta: Enhanced "Extract Ordered Points from Polygons" with bi-directional numbering
- 1.3beta: Added "Watershed Morphometric Analysis" tool
- 1.2beta: Added "Extract Ordered Points from Polygons" functionalities
- 1.1beta: Added "Calculate Line from Coordinates and Table", and "Go to XY" functionalities
- 1.0: Initial release with "Calculate Coordinates"